{
    "path": "$OET_PATH/testcases/function_test/pkg_test/glib2/glib2-devel",
    "machine num": 1,
    "cases": [
        {
            "name": "test_glib2-devel_function_install",
            "desc": "Test installation of glib2-devel package"
        },
        {
            "name": "test_glib2-devel_gdbus-codegen_h",
            "desc": "测试 gdbus-codegen 的帮助信息显示"
        },
        {
            "name": "test_glib2-devel_glib-compile-resources_help",
            "desc": "测试 glib-compile-resources 命令的帮助选项是否正确显示"
        },
        {
            "name": "test_glib2-devel_glib-genmarshal_v",
            "desc": "测试打印版本信息"
        },
        {
            "name": "test_glib2-devel_glib-genmarshal_version",
            "desc": "测试打印版本信息"
        },
        {
            "name": "test_glib2-devel_gobject-query_tree_s",
            "desc": "使用tree限定符并指定行间距控制输出格式"
        },
        {
            "name": "test_glib2-devel_gtester_upper_v",
            "desc": "测试gtester命令的版本信息选项，验证-v选项是否可正确打印版本信息"
        },
        {
            "name": "test_glib2-devel_gtester-report_h",
            "desc": "测试gtester-report命令的-h参数，用于显示帮助信息。"
        },
        {
            "name": "test_glib2-devel_glib-mkenums_comments",
            "desc": "测试glib-mkenums命令的--comments参数"
        }
    ]
}